import { createProdMockServer } from 'vite-plugin-mock/client'
import chatMocks from './modules/chat'
import userMocks from './modules/user'

// 收集所有mock模块
const mockModules = [...chatMocks, ...userMocks]

export function setupProdMockServer() {
  createProdMockServer(mockModules)
}

export default mockModules
